com.smartgwt.client.widgets.menu.events

## Class ItemClickEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<H>
      - - com.smartgwt.client.widgets.events.BrowserEvent<ItemClickHandler>
        - - com.smartgwt.client.widgets.menu.events.ItemClickEvent

- All Implemented Interfaces:
    Cancellable

      public class ItemClickEvent
      extends BrowserEvent<ItemClickHandler>
      implements Cancellable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemClickEvent(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` false if event processing should be stopped, true to continue
    `protected void` | `dispatch(ItemClickHandler handler)`
    `static <S extends HasItemClickHandlers & com.google.gwt.event.shared.HasHandlers> void` | `fire(S source, com.google.gwt.core.client.JavaScriptObject jsObj)` Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    `com.google.gwt.event.shared.GwtEvent.Type<ItemClickHandler>` | `getAssociatedType()`
    `int` | `getColNum()` Index of the column clicked by the user.
    `Canvas` | `getFiringCanvas()` Returns the `Canvas` firing the event.
    `MenuItem` | `getItem()` Pointer to the item in question.
    `Record` | `getRecord()` Pointer to the item in question as a Record.
    `TreeNode` | `getTreeNode()` Pointer to the item in question as TreeNode.
    `static com.google.gwt.event.shared.GwtEvent.Type<ItemClickHandler>` | `getType()` Gets the type associated with this event.
    `boolean` | `isCancelled()`

    - ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

      `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

    - ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `getFiringInstanceAsJavaScriptObject`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemClickEvent

          public ItemClickEvent(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getFiringCanvas

          public Canvas getFiringCanvas()

      Returns the `Canvas` firing the event.
      Returns:
        Canvas firing the event

    - #### fire

          public static <S extends HasItemClickHandlers & com.google.gwt.event.shared.HasHandlers> void fire(S source,
                                                                                                             com.google.gwt.core.client.JavaScriptObject jsObj)

      Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
      Type Parameters:
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `jsObj` - the native event

    - #### getType

          public static com.google.gwt.event.shared.GwtEvent.Type<ItemClickHandler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(ItemClickHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<ItemClickHandler>`

    - #### getAssociatedType

          public final com.google.gwt.event.shared.GwtEvent.Type<ItemClickHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<ItemClickHandler>`

    - #### cancel

          public void cancel()

      false if event processing should be stopped, true to continue
      Specified by:
        `cancel` in interface `Cancellable`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `Cancellable`
      Returns:
        true if cancelled

    - #### getColNum

          public int getColNum()

      Index of the column clicked by the user. May be null if this menu item was activated in response to a keyboard event.
      Returns:
        Index of the column clicked by the user. May be null if this menu item was activated in response to a keyboard event.

    - #### getItem

          public MenuItem getItem()

      Pointer to the item in question.
      Returns:
        pointer to the item in question

    - #### getTreeNode

          public TreeNode getTreeNode()

      Pointer to the item in question as TreeNode. This method should be called if the Menu is populated with a Tree
      Returns:
        pointer to the selected TreeNode in question

    - #### getRecord

          public Record getRecord()

      Pointer to the item in question as a Record. This method should be called if the Menu is data bound.
      Returns:
        pointer to the selected record in question